### Constructor

# FwupdPlugin UsbConfigDescriptor new

since: 2.0.0

#### Declaration [src]

    FuUsbConfigDescriptor*
    fu_usb_config_descriptor_new (
      void
    )

#### Description

No description available.

Available since: 2.0.0

#### Return value

Type: `FuUsbConfigDescriptor`

A new `FuUsbConfigDescriptor` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.